%define		iname	wmcpuload
Name:		WMCPULoad
Version:	1.1.0
Release: 	alt0.1

Summary:	WindowMaker DockApp that displays current CPU usage
License:	GPL
Group:		Graphical desktop/Window Maker
Packager:	Alexey Voinov <voins@altlinux.ru>
Url:      	http://seiichisato.jp/dockapps/

# Automatically added by buildreq on Sun Mar 05 2006
BuildRequires: imake libICE-devel libX11-devel libXext-devel libXpm-devel xorg-cf-files xorg-x11-proto-devel


Source0:	%iname-%{version}pre5.tar.bz2
Source1:	%name.menu
Patch0: 	wmcpuload-1.0.1-alt-src-memory_leak_fix.patch

%description
WMCPULoad is an WindowMaker DockApp that displays current CPU usage.

%prep
%setup -q -n %iname-%{version}pre5
%patch0 -p1

%build
%configure
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files 
%doc README NEWS INSTALL TODO AUTHORS ChangeLog
%_bindir/*
%_man1dir/*
%_menudir/*


%changelog
* Sun Mar 05 2006 Alexey Voinov <voins@altlinux.ru> 1.1.0-alt0.1
- new (current) version (1.1.0pre5)
- url updated [#8510]
- fixed build with new xorg
- menu file updated [/usr/X11R6 -> /usr]
- memory leak fixed [#8970, patch by php-coder@]
- buildreqs fixed

* Sun Sep 14 2003 Alexey Voinov <voins@altlinux.ru> 1.0.1-alt2
- buildreq updated

* Mon Mar 10 2003 Alexey Voinov <voins@voins.program.ru> 1.0.1-alt1
- new version (1.0.1)

* Sat Oct 05 2002 Alexey Voinov <voins@voins.program.ru> 1.0.0-alt1
- new version (1.0.0)
- spec cleanup
- iname defined (don't want to change package name still)

* Fri Jun 8 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged

* Thu May 3 2001 Alexey Voinov <voins@voins.program.ru> 
- initial build

